al_get_path_extension(3)

NAME

al_get_path_extension - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    const char *al_get_path_extension(const ALLEGRO_PATH *path)

DESCRIPTION

Return a pointer to the start of the extension of the filename, i.e. everything from the final dot ('.') character onwards. If no dot exists, returns an empty string.

The returned pointer is valid only until the filename part of the path is modified in any way, or until the path is destroyed.

SEE ALSO

al_get_path_filename(3), al_get_path_basename(3)